package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type PlantTaskStringer struct {
}

func (this *PlantTaskStringer) ToString(plantTask *mdl.PlantTask) (string, error) {
	if plantTask == nil {
		return "", nil
	}
	return plantTask.Name, nil
}
func (this *PlantTaskStringer) MustToString(entity *mdl.PlantTask) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
